Bug 8354 - Проблемы с X сервером с включеным composite
: Проблемы с X сервером с включеным composite
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gtk+)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 8225
  Show dependency tree
 
Reported: 2005-10-27 14:37 by
Modified: 2007-06-21 18:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-27 14:37:56
см. #8225
------- Comment #1 From 2007-02-22 14:56:22 -------
Fixed in 1.2.10-alt14-2-gec87ae1, scheduled for alt15 release.
gtk+-1.2.10-mdk-argb.patch

--- gtk+-1.2.10/gdk/gdk.c.argb  2006-07-25 18:30:47.000000000 +0200
+++ gtk+-1.2.10/gdk/gdk.c       2006-07-25 18:32:24.000000000 +0200
@@ -408,6 +408,8 @@
     }
   
   GDK_NOTE (MISC, g_message ("progname: \"%s\"", g_get_prgname ()));
+
+  putenv("XLIB_SKIP_ARGB_VISUALS=1");
   
   gdk_display = XOpenDisplay (gdk_display_name);
   if (!gdk_display)